<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="BranchesTreeState">
    <expand>
      <path>
        <item name="ROOT" type="e8cecc67:BranchNodeDescriptor" />
        <item name="LOCAL_ROOT" type="e8cecc67:BranchNodeDescriptor" />
      </path>
      <path>
        <item name="ROOT" type="e8cecc67:BranchNodeDescriptor" />
        <item name="REMOTE_ROOT" type="e8cecc67:BranchNodeDescriptor" />
      </path>
      <path>
        <item name="ROOT" type="e8cecc67:BranchNodeDescriptor" />
        <item name="REMOTE_ROOT" type="e8cecc67:BranchNodeDescriptor" />
        <item name="GROUP_NODE:origin" type="e8cecc67:BranchNodeDescriptor" />
      </path>
    </expand>
    <select />
  </component>
  <component name="ChangeListManager">
    <list default="true" id="269a8805-74cc-43ea-afb9-80ce035f1285" name="Default Changelist" comment="">
      <change beforePath="$PROJECT_DIR$/BankRevature.iml" beforeDir="false" afterPath="$PROJECT_DIR$/BankRevature.iml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/accounts-file.json" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/mainLogFile.log.0" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/mainLogFile.log.0.lck" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/out/production/BankRevature/BusinessLogic/BankSystem$Companion.class" beforeDir="false" afterPath="$PROJECT_DIR$/out/production/BankRevature/BusinessLogic/BankSystem$Companion.class" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/out/production/BankRevature/BusinessLogic/BankSystem.class" beforeDir="false" afterPath="$PROJECT_DIR$/out/production/BankRevature/BusinessLogic/BankSystem.class" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/out/production/BankRevature/userActions/EmployeeActions.class" beforeDir="false" afterPath="$PROJECT_DIR$/out/production/BankRevature/userActions/EmployeeActions.class" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/BusinessLogic/BankSystem1.kt" beforeDir="false" afterPath="$PROJECT_DIR$/src/BusinessLogic/BankSystem1.kt" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/src/userActions/EmployeeActions1.kt" beforeDir="false" afterPath="$PROJECT_DIR$/src/userActions/EmployeeActions1.kt" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/transactions-file.json" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/users-file.json" beforeDir="false" />
    </list>
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="Interface" />
        <option value="Class" />
      </list>
    </option>
  </component>
  <component name="Git.Settings">
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$" />
  </component>
  <component name="ProjectId" id="1pZoedEnGaX5BRIWiSCvRIlsqn0" />
  <component name="ProjectLevelVcsManager" settingsEditedManually="true" />
  <component name="ProjectViewState">
    <option name="hideEmptyMiddlePackages" value="true" />
    <option name="showLibraryContents" value="true" />
  </component>
  <component name="PropertiesComponent">
    <property name="Downloaded.Files.Path.Enabled" value="false" />
    <property name="Repository.Attach.Annotations" value="false" />
    <property name="Repository.Attach.JavaDocs" value="false" />
    <property name="Repository.Attach.Sources" value="false" />
    <property name="RunOnceActivity.OpenProjectViewOnStart" value="true" />
    <property name="WebServerToolWindowFactoryState" value="false" />
    <property name="aspect.path.notification.shown" value="true" />
    <property name="last_opened_file_path" value="$PROJECT_DIR$" />
    <property name="nodejs_package_manager_path" value="npm" />
    <property name="project.structure.last.edited" value="Project" />
    <property name="project.structure.proportion" value="0.15" />
    <property name="project.structure.side.proportion" value="0.2" />
    <property name="settings.editor.selected.configurable" value="preferences.pluginManager" />
  </component>
  <component name="RecentsManager">
    <key name="ExtractSuperBase.RECENT_KEYS">
      <recent name="Logic" />
    </key>
  </component>
  <component name="RunManager">
    <configuration name="Main" type="Application" factoryName="Application" temporary="true">
      <option name="MAIN_CLASS_NAME" value="Revature.Main" />
      <module name="BankRevature" />
      <option name="WORKING_DIRECTORY" value="file://$PROJECT_DIR$" />
      <RunnerSettings RunnerId="Run" />
      <ConfigurationWrapper RunnerId="Run" />
      <method v="2">
        <option name="Make" enabled="true" />
      </method>
    </configuration>
    <recent_temporary>
      <list>
        <item itemvalue="Application.Main" />
      </list>
    </recent_temporary>
  </component>
  <component name="SpellCheckerSettings" RuntimeDictionaries="0" Folders="0" CustomDictionaries="0" DefaultDictionary="application-level" UseSingleDictionary="true" transferred="true" />
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="269a8805-74cc-43ea-afb9-80ce035f1285" name="Default Changelist" comment="" />
      <created>1615400073173</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1615400073173</updated>
      <workItem from="1615400074444" duration="15711000" />
      <workItem from="1615432036103" duration="3700000" />
      <workItem from="1615470901204" duration="22874000" />
      <workItem from="1615517279800" duration="2872000" />
      <workItem from="1615558100273" duration="15686000" />
      <workItem from="1615595483965" duration="2752000" />
      <workItem from="1615653527001" duration="11229000" />
      <workItem from="1615716949745" duration="1897000" />
      <workItem from="1615723482749" duration="218000" />
      <workItem from="1615726608046" duration="22189000" />
      <workItem from="1615833530112" duration="533000" />
      <workItem from="1615834788278" duration="1260000" />
      <workItem from="1615837571759" duration="7501000" />
      <workItem from="1615848855838" duration="357000" />
      <workItem from="1615856602162" duration="14450000" />
      <workItem from="1615904633119" duration="22087000" />
      <workItem from="1616082493753" duration="4102000" />
      <workItem from="1616097146279" duration="20000" />
      <workItem from="1616097174575" duration="1338000" />
      <workItem from="1616121861923" duration="534000" />
      <workItem from="1616163268258" duration="1478000" />
      <workItem from="1616172224212" duration="16000" />
      <workItem from="1616176432528" duration="10000" />
      <workItem from="1616186619872" duration="1464000" />
      <workItem from="1616188377355" duration="246000" />
      <workItem from="1616191274831" duration="581000" />
      <workItem from="1616560625716" duration="120000" />
      <workItem from="1616593839700" duration="33000" />
      <workItem from="1616593935408" duration="477000" />
      <workItem from="1616594422929" duration="78000" />
    </task>
    <servers />
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="3" />
  </component>
  <component name="Vcs.Log.Tabs.Properties">
    <option name="TAB_STATES">
      <map>
        <entry key="MAIN">
          <value>
            <State />
          </value>
        </entry>
      </map>
    </option>
    <option name="oldMeFiltersMigrated" value="true" />
  </component>
  <component name="WindowStateProjectService">
    <state x="997" y="406" key="#Custom_Plugin_Repositories" timestamp="1616188060219">
      <screen x="0" y="0" width="1792" height="1120" />
    </state>
    <state x="997" y="406" key="#Custom_Plugin_Repositories/0.0.1792.1120@0.0.1792.1120" timestamp="1616188060219" />
    <state x="530" y="242" key="#Inspections" timestamp="1615595725438">
      <screen x="0" y="0" width="1792" height="1120" />
    </state>
    <state x="530" y="242" key="#Inspections/0.0.1792.1120@0.0.1792.1120" timestamp="1615595725438" />
    <state x="496" y="222" width="800" height="819" key="#Intentions" timestamp="1615929354827">
      <screen x="0" y="0" width="1792" height="1120" />
    </state>
    <state x="496" y="222" width="800" height="819" key="#Intentions/0.0.1792.1120@0.0.1792.1120" timestamp="1615929354827" />
    <state x="360" y="219" key="#com.intellij.execution.impl.EditConfigurationsDialog" timestamp="1616187574989">
      <screen x="0" y="0" width="1792" height="1120" />
    </state>
    <state x="360" y="219" key="#com.intellij.execution.impl.EditConfigurationsDialog/0.0.1792.1120@0.0.1792.1120" timestamp="1616187574989" />
    <state x="594" y="366" key="#com.intellij.fileTypes.FileTypeChooser" timestamp="1615932996648">
      <screen x="0" y="0" width="1792" height="1120" />
    </state>
    <state x="594" y="366" key="#com.intellij.fileTypes.FileTypeChooser/0.0.1792.1120@0.0.1792.1120" timestamp="1615932996648" />
    <state x="709" y="262" key="#com.intellij.ide.util.MemberChooser" timestamp="1615906625333">
      <screen x="0" y="0" width="1792" height="1120" />
    </state>
    <state x="709" y="262" key="#com.intellij.ide.util.MemberChooser/0.0.1792.1120@0.0.1792.1120" timestamp="1615906625333" />
    <state x="742" y="281" key="#com.intellij.ide.util.MemberChooser/55.25.1737.1095@55.25.1737.1095" timestamp="1615839840374" />
    <state x="0" y="0" key="#com.intellij.refactoring.rename.AutomaticRenamingDialog" timestamp="1615407065023">
      <screen x="0" y="0" width="1792" height="1120" />
    </state>
    <state x="0" y="0" key="#com.intellij.refactoring.rename.AutomaticRenamingDialog/0.0.1792.1120@0.0.1792.1120" timestamp="1615407065023" />
    <state x="634" y="325" key="#com.intellij.refactoring.safeDelete.UnsafeUsagesDialog" timestamp="1615862155399">
      <screen x="0" y="0" width="1792" height="1120" />
    </state>
    <state x="634" y="325" key="#com.intellij.refactoring.safeDelete.UnsafeUsagesDialog/0.0.1792.1120@0.0.1792.1120" timestamp="1615862155399" />
    <state x="634" y="325" key="#com.intellij.refactoring.typeMigration.ui.FailedConversionsDialog" timestamp="1615929560157">
      <screen x="0" y="0" width="1792" height="1120" />
    </state>
    <state x="634" y="325" key="#com.intellij.refactoring.typeMigration.ui.FailedConversionsDialog/0.0.1792.1120@0.0.1792.1120" timestamp="1615929560157" />
    <state x="669" y="284" key="#org.jetbrains.kotlin.idea.refactoring.safeDelete.KotlinOverridingDialog" timestamp="1615415905144">
      <screen x="0" y="0" width="1792" height="1120" />
    </state>
    <state x="669" y="284" key="#org.jetbrains.kotlin.idea.refactoring.safeDelete.KotlinOverridingDialog/0.0.1792.1120@0.0.1792.1120" timestamp="1615415905144" />
    <state width="454" height="466" key="DebuggerActiveHint" timestamp="1615519893471">
      <screen x="0" y="0" width="1792" height="1120" />
    </state>
    <state width="454" height="466" key="DebuggerActiveHint/0.0.1792.1120@0.0.1792.1120" timestamp="1615519893471" />
    <state width="1750" height="382" key="GridCell.Tab.0.bottom" timestamp="1616594500564">
      <screen x="0" y="0" width="1792" height="1120" />
    </state>
    <state width="1750" height="382" key="GridCell.Tab.0.bottom/0.0.1792.1120@0.0.1792.1120" timestamp="1616594500564" />
    <state width="1695" height="259" key="GridCell.Tab.0.bottom/55.25.1737.1095@55.25.1737.1095" timestamp="1615846441219" />
    <state width="1693" height="362" key="GridCell.Tab.0.bottom/57.25.1735.1095@57.25.1735.1095" timestamp="1616188299521" />
    <state width="1750" height="382" key="GridCell.Tab.0.center" timestamp="1616594500563">
      <screen x="0" y="0" width="1792" height="1120" />
    </state>
    <state width="1750" height="382" key="GridCell.Tab.0.center/0.0.1792.1120@0.0.1792.1120" timestamp="1616594500563" />
    <state width="1695" height="259" key="GridCell.Tab.0.center/55.25.1737.1095@55.25.1737.1095" timestamp="1615846441218" />
    <state width="1693" height="362" key="GridCell.Tab.0.center/57.25.1735.1095@57.25.1735.1095" timestamp="1616188299520" />
    <state width="1750" height="382" key="GridCell.Tab.0.left" timestamp="1616594500562">
      <screen x="0" y="0" width="1792" height="1120" />
    </state>
    <state width="1750" height="382" key="GridCell.Tab.0.left/0.0.1792.1120@0.0.1792.1120" timestamp="1616594500562" />
    <state width="1695" height="259" key="GridCell.Tab.0.left/55.25.1737.1095@55.25.1737.1095" timestamp="1615846441218" />
    <state width="1693" height="362" key="GridCell.Tab.0.left/57.25.1735.1095@57.25.1735.1095" timestamp="1616188299520" />
    <state width="1750" height="382" key="GridCell.Tab.0.right" timestamp="1616594500563">
      <screen x="0" y="0" width="1792" height="1120" />
    </state>
    <state width="1750" height="382" key="GridCell.Tab.0.right/0.0.1792.1120@0.0.1792.1120" timestamp="1616594500563" />
    <state width="1695" height="259" key="GridCell.Tab.0.right/55.25.1737.1095@55.25.1737.1095" timestamp="1615846441218" />
    <state width="1693" height="362" key="GridCell.Tab.0.right/57.25.1735.1095@57.25.1735.1095" timestamp="1616188299521" />
    <state width="1750" height="211" key="GridCell.Tab.1.bottom" timestamp="1616087995475">
      <screen x="0" y="0" width="1792" height="1120" />
    </state>
    <state width="1750" height="211" key="GridCell.Tab.1.bottom/0.0.1792.1120@0.0.1792.1120" timestamp="1616087995475" />
    <state width="1695" height="259" key="GridCell.Tab.1.bottom/55.25.1737.1095@55.25.1737.1095" timestamp="1615846469949" />
    <state width="1750" height="211" key="GridCell.Tab.1.center" timestamp="1616087995474">
      <screen x="0" y="0" width="1792" height="1120" />
    </state>
    <state width="1750" height="211" key="GridCell.Tab.1.center/0.0.1792.1120@0.0.1792.1120" timestamp="1616087995474" />
    <state width="1695" height="259" key="GridCell.Tab.1.center/55.25.1737.1095@55.25.1737.1095" timestamp="1615846469948" />
    <state width="1750" height="211" key="GridCell.Tab.1.left" timestamp="1616087995474">
      <screen x="0" y="0" width="1792" height="1120" />
    </state>
    <state width="1750" height="211" key="GridCell.Tab.1.left/0.0.1792.1120@0.0.1792.1120" timestamp="1616087995474" />
    <state width="1695" height="259" key="GridCell.Tab.1.left/55.25.1737.1095@55.25.1737.1095" timestamp="1615846469947" />
    <state width="1750" height="211" key="GridCell.Tab.1.right" timestamp="1616087995474">
      <screen x="0" y="0" width="1792" height="1120" />
    </state>
    <state width="1750" height="211" key="GridCell.Tab.1.right/0.0.1792.1120@0.0.1792.1120" timestamp="1616087995474" />
    <state width="1695" height="259" key="GridCell.Tab.1.right/55.25.1737.1095@55.25.1737.1095" timestamp="1615846469948" />
    <state x="249" y="181" key="SettingsEditor" timestamp="1616188621367">
      <screen x="57" y="25" width="1735" height="1095" />
    </state>
    <state x="615" y="152" key="SettingsEditor/0.0.1792.1120@0.0.1792.1120" timestamp="1616188150750" />
    <state x="249" y="181" key="SettingsEditor/57.25.1735.1095@57.25.1735.1095" timestamp="1616188621367" />
    <state width="500" height="445" key="SwitcherDM" timestamp="1615660595214">
      <screen x="0" y="0" width="1792" height="1120" />
    </state>
    <state width="500" height="445" key="SwitcherDM/0.0.1792.1120@0.0.1792.1120" timestamp="1615660595214" />
    <state x="605" y="303" key="com.intellij.jarRepository.RepositoryAttachDialog-DOWNLOAD" timestamp="1616188611044">
      <screen x="57" y="25" width="1735" height="1095" />
    </state>
    <state x="605" y="303" key="com.intellij.jarRepository.RepositoryAttachDialog-DOWNLOAD/57.25.1735.1095@57.25.1735.1095" timestamp="1616188611044" />
    <state x="434" y="314" width="923" height="623" key="com.intellij.xdebugger.impl.breakpoints.ui.BreakpointsDialogFactory$2" timestamp="1615518961641">
      <screen x="0" y="0" width="1792" height="1120" />
    </state>
    <state x="434" y="314" width="923" height="623" key="com.intellij.xdebugger.impl.breakpoints.ui.BreakpointsDialogFactory$2/0.0.1792.1120@0.0.1792.1120" timestamp="1615518961641" />
    <state x="0" y="0" width="1559" height="915" key="dock-window-1" timestamp="1615757084204">
      <screen x="0" y="0" width="1792" height="1120" />
    </state>
    <state x="0" y="0" width="1559" height="915" key="dock-window-1/0.0.1792.1120@0.0.1792.1120" timestamp="1615757084204" />
    <state x="0" y="0" width="1511" height="894" key="dock-window-1/55.25.1737.1095@55.25.1737.1095" timestamp="1615479588977" />
    <state x="536" y="200" width="854" height="761" key="new project wizard" timestamp="1616191777268">
      <screen x="57" y="25" width="1735" height="1095" />
    </state>
    <state x="495" y="179" width="854" height="761" key="new project wizard/0.0.1792.1120@0.0.1792.1120" timestamp="1616188231132" />
    <state x="535" y="200" key="new project wizard/55.25.1737.1095@55.25.1737.1095" timestamp="1615485740588" />
    <state x="536" y="200" key="new project wizard/57.25.1735.1095@57.25.1735.1095" timestamp="1616191777268" />
    <state x="561" y="265" key="run.anything.popup" timestamp="1616082760147">
      <screen x="0" y="0" width="1792" height="1120" />
    </state>
    <state x="561" y="265" key="run.anything.popup/0.0.1792.1120@0.0.1792.1120" timestamp="1616082760147" />
    <state x="561" y="272" width="670" height="676" key="search.everywhere.popup" timestamp="1615665538334">
      <screen x="0" y="0" width="1792" height="1120" />
    </state>
    <state x="561" y="272" width="670" height="676" key="search.everywhere.popup/0.0.1792.1120@0.0.1792.1120" timestamp="1615665538334" />
  </component>
  <component name="XDebuggerManager">
    <breakpoint-manager>
      <breakpoints>
        <breakpoint enabled="true" type="java-exception">
          <properties class="java.lang.NullPointerException" package="java.lang" />
          <option name="timeStamp" value="4" />
        </breakpoint>
      </breakpoints>
    </breakpoint-manager>
  </component>
</project>